package router

import (
	"github.com/gin-gonic/gin"

	"go-admin/app/admin/apis"
)

func init() {
	routerNoCheckRole = append(routerNoCheckRole, registerOtAppDashboardRouternoCheck)
}

// registerOtAppDashboardRouter
func registerOtAppDashboardRouternoCheck(v1 *gin.RouterGroup) {
	api := apis.OtAppDashboard{}
	r := v1.Group("/ot-app-dashboard")
	{
		r.GET("", api.GetPage)
		r.GET("/:id", api.Get)
		r.POST("", api.Insert)
		r.PUT("/:id", api.Update)
		r.DELETE("", api.Delete)
		r.GET("/byapp/:appid", api.GetDashBoardByAppId)
	}
}
