package utils

import (
	"crypto/md5"
	"encoding/hex"
	"strings"
)

func SimpleHash(s ...string) string {
	str := strings.Join(s, "-")
	sum := md5.Sum([]byte(str))
	return hex.EncodeToString(sum[:])
}
